Security Bulletin NR18-09

Summary

A security update for the Java agent corrects an issue where the agent may not properly obfuscate all SQL query information when record_sql is set to off.​

Release date: May 2, 2018

Vulnerability identifier: NR18-09

Priority: Low

Affected software

The following New Relic agent versions are affected:

Name Affected versions Remediated Version
Java agent All 4.1.0

Vulnerability information

The New Relic Java agent runs explain plans for slow transaction traces and slow SQL queries. When a customer has set record_sql to off, is running PostgreSQL, and has an explain plan run, the agent may not properly obfuscate all information in the query.

Workarounds

Disable explain plans with transaction_tracer in the Java agent configuration.

Report vulnerabilities to New Relic

New Relic is committed to the security of our customers and their data. We believe that engaging with the security community is an important means of achieving our security goals, and we appreciate responsible disclosure of any vulnerabilities by security researchers.

If you believe you have found a security vulnerability in one of our products or websites, we welcome and greatly appreciate you reporting it to New Relic through one of these methods:

For more help

Additional documentation resources include:.

Recommendations for learning more: